> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anchorbrowser.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Session Task Executions

> Returns a paginated list of (non-internal) task executions that ran on the session.



## OpenAPI

````yaml /openapi.yaml get /v1/sessions/{session_id}/task-executions
openapi: 3.1.0
info:
  title: AnchorBrowser API
  version: 1.0.0
  description: APIs to manage all browser-related actions and configuration.
servers:
  - url: https://api.anchorbrowser.io
    description: API server
security: []
paths:
  /v1/sessions/{session_id}/task-executions:
    get:
      tags:
        - Browser Sessions
      summary: List Session Task Executions
      description: >-
        Returns a paginated list of (non-internal) task executions that ran on
        the session.
      parameters:
        - name: session_id
          in: path
          required: true
          schema:
            type: string
        - name: page
          in: query
          required: false
          schema:
            type: integer
        - name: limit
          in: query
          required: false
          description: Page size (1-100, default 20).
          schema:
            type: integer
      responses:
        '200':
          description: Task executions retrieved successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      results:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            taskId:
                              type: string
                            taskName:
                              type: string
                            taskVersionId:
                              type: string
                            version:
                              type: string
                            isDraft:
                              type: boolean
                            status:
                              type: string
                            output:
                              type: string
                              nullable: true
                            errorMessage:
                              type: string
                              nullable: true
                            startTime:
                              type: string
                              nullable: true
                            executionTime:
                              type: number
                              nullable: true
                            hasLogs:
                              type: boolean
                            inputs:
                              type: object
                              nullable: true
                              additionalProperties: true
                            toolName:
                              type: string
                              nullable: true
                            toolPublicId:
                              type: string
                              nullable: true
                            tags:
                              type: array
                              items:
                                type: string
                      pagination:
                        type: object
                        properties:
                          page:
                            type: integer
                          limit:
                            type: integer
                          total:
                            type: integer
                          totalPages:
                            type: integer
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - api_key_header: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: integer
            message:
              type: string
  securitySchemes:
    api_key_header:
      type: apiKey
      in: header
      name: anchor-api-key
      description: API key passed in the header

````